summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorRaja R Harinath <harinath@src.gnome.org>1998-02-19 20:31:30 +0000
committerRaja R Harinath <harinath@src.gnome.org>1998-02-19 20:31:30 +0000
commita6b9fea58e85e63e773ffad46db6b69275bd649d (patch)
treea09d7f8a442224acf17fb6737e7ff7f2310c2d02 /autogen.sh
parent61e2c71aae3a1a661c4c1ddc0abbdc40029a2664 (diff)
downloadgnome-common-a6b9fea58e85e63e773ffad46db6b69275bd649d.tar.gz
New sample file. Likewise. Likewise. Likewise.
* autogen.sh: New sample file. * configure.in: Likewise. * Makefile.am: Likewise. * README: Likewise. svn path=/trunk/; revision=91
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..ba239f3
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="Gnome Skeleton"
+
+(test -f $srcdir/configure.in \
+## put other tests here
+) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+. $srcdir/macros/autogen.sh